Skip to main content
GET
/
{storeId}
/
storefront
Get the template attributes.
curl --request GET \
  --url https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/storefront
{
  "pages": [
    {
      "pageName": "Home",
      "pageUrl": "/",
      "seoTitle": "Sample Seo Title",
      "seoDescription": "Sample Seo Description",
      "widgets": [
        {
          "type": "basic-slider",
          "name": "Basic Slider",
          "widgetData": [
            {
              "fields": [
                {
                  "key": "action",
                  "type": "productCategory",
                  "values": {
                    "values": {
                      "type": "product",
                      "values": "61d572e4b119b00013a5e61e"
                    }
                  }
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://help.aasaan.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

storeId
string
required

Store ID for this resource request

Response

Attributes that can be updated in the published template.

pages
object[]

Template Pages